#include "../include/instruction.h"

Instruction::Instruction(unsigned short opcode) : opcode(opcode) {

}

unsigned short Instruction::nnn() const {
    return this->opcode & 0x0FFF;
}

unsigned short Instruction::n() const {
    return this->opcode & 0x000F;
}

unsigned short Instruction::kk() const {
    return this->opcode & 0x00FF;
}

unsigned char Instruction::x() const {
    return (this->opcode & 0x0F00) >> 8;
}

unsigned char Instruction::y() const {
    return (this->opcode & 0x00F0) >> 4;
}