#ifndef CHIP8_DATE_H
#define CHIP8_DATE_H

#include <chrono>

class Date {
public:
    explicit Date(std::chrono::system_clock::time_point tp);
    static Date now();
    std::string to_string() const;
private:
    std::chrono::system_clock::time_point tp;
};

#endif //CHIP8_DATE_H
