#ifndef CHIP8_INSTRUCTION_H
#define CHIP8_INSTRUCTION_H
class Instruction {
private:
    const unsigned short opcode;
public:
    explicit Instruction(unsigned short);
    [[nodiscard]] unsigned short nnn() const;
    [[nodiscard]] unsigned short n() const;
    [[nodiscard]] unsigned short kk() const;
    [[nodiscard]] unsigned char x() const;
    [[nodiscard]] unsigned char y() const;
};
#endif //CHIP8_INSTRUCTION_H
